[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/gwget/devel gwget-epiphany21x.patch, 1.3, 1.4 gwget.spec, 1.18, 1.19



Author: cwickert

Update of /cvs/extras/rpms/gwget/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv2778

Modified Files:
	gwget-epiphany21x.patch gwget.spec 
Log Message:
Rebuild for F7 and epiphany 2.18

gwget-epiphany21x.patch:

Index: gwget-epiphany21x.patch
===================================================================
RCS file: /cvs/extras/rpms/gwget/devel/gwget-epiphany21x.patch,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- gwget-epiphany21x.patch	11 Nov 2006 02:51:22 -0000	1.3
+++ gwget-epiphany21x.patch	17 May 2007 21:42:05 -0000	1.4
@@ -1,26 +1,28 @@
 --- gwget-0.98.2/configure.in.orig	2006-11-08 19:49:44.000000000 +0100
 +++ gwget-0.98.2/configure.in	2006-11-11 03:04:53.000000000 +0100
-@@ -97,13 +97,15 @@
+@@ -97,13 +97,17 @@
  
  EPHY_VER=
  AC_ARG_WITH([epiphany-version],
 -        AC_HELP_STRING([--with-epiphany-version@<:@=1.6|1.8|1.10|2.14@:>@],
 -                       [Whether to use epiphany version 1.6 or 1.8 or 1.10 or 2.14 (default 1.6)]),
-+        AC_HELP_STRING([--with-epiphany-version@<:@=1.6|1.8|1.10|2.14|2.15|2.16|2.17@:>@],
-+                       [Whether to use epiphany version 1.6 or 1.8 or 1.10 or 2.14 or 2.15 or 2.16 or 2.17 (default 1.6)]),
++        AC_HELP_STRING([--with-epiphany-version@<:@=1.6|1.8|1.10|2.14|2.15|2.16|2.17|2.18@:>@],
++                       [Whether to use epiphany version 1.6 or 1.8 or 1.10 or 2.14 or 2.15 or 2.16 or 2.17 or 2.18 (default 1.6)]),
          [EPHY_VER="$withval"])
  
 -dnl try to autodetect Epiphany 1.2, 1.4, 1.6, 1.8, 1.10, 2.14, 2.15 or 2.16
-+dnl try to autodetect Epiphany 1.2, 1.4, 1.6, 1.8, 1.10, 2.14, 2.15, 2.16 or 2.17
++dnl try to autodetect Epiphany 1.2, 1.4, 1.6, 1.8, 1.10, 2.14, 2.15, 2.16, 2.17 or 2.18
  EPHY_AUTODETECT="(autodetect)"
 -if pkg-config --exists epiphany-2.16; then
-+if pkg-config --exists epiphany-2.17; then
++if pkg-config --exists epiphany-2.18; then
++        EPHY_VER=2.18
++elif pkg-config --exists epiphany-2.17; then
 +        EPHY_VER=2.17
 +elif pkg-config --exists epiphany-2.16; then
          EPHY_VER=2.16
  elif pkg-config --exists epiphany-2.15; then
          EPHY_VER=2.15
-@@ -158,13 +160,17 @@
+@@ -158,13 +162,21 @@
            EPIPHANY_PKGCONFIG=epiphany-2.16
            EPIPHANY_REQUIRED=2.16
            EPIPHANY_SHORTVER=216
@@ -28,6 +30,10 @@
 +          EPIPHANY_PKGCONFIG=epiphany-2.17
 +          EPIPHANY_REQUIRED=2.17
 +          EPIPHANY_SHORTVER=217
++elif test "x$EPHY_VER" = "x2.18"; then
++          EPIPHANY_PKGCONFIG=epiphany-2.18
++          EPIPHANY_REQUIRED=2.18
++          EPIPHANY_SHORTVER=218
  else
       	AC_MSG_RESULT([no epiphany installed])
  fi
@@ -35,7 +41,7 @@
  if test -n "$EPIPHANY_SHORTVER" ; then
  AC_DEFINE_UNQUOTED(EPHY_VERSION, "$EPIPHANY_SHORTVER",
 -       [Define to the Epiphany version (12, 14, 16, 18, 110 ,214, or 215)])
-+       [Define to the Epiphany version (12, 14, 16, 18, 110, 214, 215, 216 or 217)])
++       [Define to the Epiphany version (12, 14, 16, 18, 110, 214, 215, 216, 217 or 218)])
  AC_MSG_RESULT([$EPHY_VER $EPHY_AUTODETECT])
  
  LIBGLIB_REQUIRED=2.4.0


Index: gwget.spec
===================================================================
RCS file: /cvs/extras/rpms/gwget/devel/gwget.spec,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- gwget.spec	11 Nov 2006 02:51:22 -0000	1.18
+++ gwget.spec	17 May 2007 21:42:05 -0000	1.19
@@ -1,8 +1,8 @@
-%define epimajor 2.17
+%define epimajor 2.18
 
 Name:		gwget
 Version:	0.98.2
-Release:	1%{?dist}
+Release:	2%{?dist}
 Summary:	Graphical download manager that uses wget
 
 License:	GPL
@@ -98,10 +98,14 @@
 
 
 %changelog
+* Thu May 17 2007 Christoph Wickert <fedora at christoph-wickert de> 0.98.2-2
+- Rebuild for Fedora 7
+- Add support for epiphany 2.18
+
 * Sat Nov 11 2006 Christoph Wickert <fedora at christoph-wickert de> 0.98.2-1
 - Update to 0.98.2.
 - Don't crash notification area (#213480).
-- Add support for epiphany 2.1.7.
+- Add support for epiphany 2.17.
 
 * Fri Sep 15 2006 Christoph Wickert <fedora at christoph-wickert de> 0.98.1-1
 - Update to 0.98.1.
@@ -109,13 +113,13 @@
 
 * Fri Sep 15 2006 Christoph Wickert <fedora at christoph-wickert de> 0.97-7
 - Mass rebuild for Fedora Core 6.
-- Update epiphany-patch for epiphany <= 2.1.6.
+- Update epiphany-patch for epiphany <= 2.16.
 - disable-static instead of removing .a files.
 - BuildRequire intltool instead of perl(XML::Parser).
 
 * Sat Jul 15 2006 Christoph Wickert <fedora at christoph-wickert de> 0.97-6
 - Fix BR to build in minimal build environment (#198919).
-- Add patch to build against epiphany 2.1.5.
+- Add patch to build against epiphany 2.15.
 
 * Mon Jun 26 2006 Christoph Wickert <fedora wickert at arcor de> 0.97-5
 - bump release to fix broken upgrade path FE5 -> FE6.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]